<template>
    <div class="container px-5 py-12 mx-auto md:grid md:grid-cols-2 md:gap-x-8">
        <div class="content-center mt-auto mb-auto" :class="reverse ? 'order-last' : ''">
            <h3 class="text-3xl text-smalt-blue-700 font-bold">
                <slot name="title" />
            </h3>
            <div class="mt-8 prose lg:prose-xl">
                <p>
                    <slot name="description" />
                </p>
            </div>
        </div>
        <div class="hidden md:block" v-if="!video">
            <g-image :src="require(`!!assets-loader!@images/${icon}.png`)"></g-image>
        </div>
        <div class="flex flex-wrap justify-center text-center content-center mt-10 md:mt-0" v-if="video">
            <iframe :src="video"></iframe>
        </div>
    </div>
</template>

<script>
    export default {
        props: {
            icon: {
                type: String,
                default: 'AI',
            },
            reverse: {
                type: Boolean,
                default: false,
            },
            video: {
                type: String,
                default: null,
            },
        },
    };
</script>
<style lang="scss" scoped>
    iframe {
        width: 492px;
        height: 280px;
    }
</style>
